#include <iostream>
#define  MAX 2
using namespace std;
//int pozicijaNajvecegDoIndeksa[MAX],pozicijaNajmanjegDoIndeksa[MAX];
int niz[MAX];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin >> n;
    //int mini=10,maxi=0;
    for(int i=0;i<n;i++)
    {
        cin>>niz[i];
        /*if(niz[i]>maxi)
        {
            pozicijaNajvecegDoIndeksa[i]=i;
            maxi=niz[i];
        }
        else
            pozicijaNajvecegDoIndeksa[i]=pozicijaNajvecegDoIndeksa[i-1];
        
        if(niz[i]<mini)
        {
            pozicijaNajmanjegDoIndeksa[i]=i;
            mini=niz[i];
        }
        else
            pozicijaNajmanjegDoIndeksa[i]=pozicijaNajmanjegDoIndeksa[i-1];*/
    }
    cout<<niz[1]<<" "<<niz[0];

    return 0;
}
/*
    
    
    
    
*/